
Showroom Mobile Banking - Bug #13250

Prompt session timeout not navigate to login screen

07 March 2022 10:42 AM - chok yee fan

Status: Closed Start date: 07 March 2022

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Issue

Prompt "You session has timed out. Please log in again. [C0001]" but never navigate to login screen.

Expected

Prompt "You session has timed out. Please log in again. [C0001]" should navigate to login screen.

History

#1 - 07 March 2022 02:12 PM - chok yee fan

- Assignee changed from Wee Meng Soh to santhosh Krishna

should follow other web service how to handle the timeout where will put it in obHeader.statusCode

#2 - 07 March 2022 03:17 PM - chok yee fan

- File Screenshot 2022-03-07 at 3.13.59 PM.png added

as per request, these are existing error will kick out the user for your reference. it will put it into body.obHeader

deviceToken: null

obHeader:

acknowledgementNumber: null

asOfDate: "07-03-2022 15:10"

autoCall: false

billPayment: false

id: null

maintenanceEndDateTime: null

maintenanceNotice: null

maintenanceNoticeFlag: false

maintenanceStartDateTime: null

maintenanceUpfrontNoticeTime: 0

reponseTime: "2022-03-07 15:10:11"

secStatusCode: null

serviceFlag: null

serviceMsg: null

statusCode: "WSS_ERROR_00006"

statusMessage: "We are unable to process your request. Please try to login again. [W0006]"

success: null

totalCount: null

obUser: null

paramValue: null

retrieveActivity: false

rsaSessionId: null

rsaTransactionId: null

transactionType: null

unreadMsgCount: 0

userContext:

appLanguage: "en"

channelCode: null

countryCode: null

localeCode: null

loginId: null
requestId: null

sessionId: null

#3 - 18 March 2022 03:24 PM - santhosh Krishna

- Status changed from New to Pending SIT 

- Assignee changed from santhosh Krishna to chok yee fan

#4 - 22 March 2022 04:52 PM - chok yee fan

- Status changed from Pending SIT  to Closed

act as normal now

Files

photo6138755739691363953.jpg 32.5 KB 07 March 2022 chok yee fan

Screenshot 2022-03-07 at 3.13.59 PM.png 129 KB 07 March 2022 chok yee fan

Powered by TCPDF (www.tcpdf.org)

03 July 2025 2/2

http://www.tcpdf.org

